## org.eclipse.amp.axf.ide.view
Class StatusLineView

    java.lang.Object
      org.eclipse.amp.axf.core.AbstractLifecycleListener
          org.eclipse.amp.axf.view.SWTThreadModelListener
              org.eclipse.amp.axf.view.SWTAsyncModelListener
                  org.eclipse.amp.axf.ide.view.StatusLineView

All Implemented Interfaces:
  ILifeCycleListener, IStateListener, org.eclipse.ui.IPartListener

    public class StatusLineView

extends SWTAsyncModelListener
implements org.eclipse.ui.IPartListener

The Class StatusLineView.

Method Summary
`static StatusLineView` `getDefault()`
`org.eclipse.ui.IViewPart` `getPart()` Gets the part.
`void` `observeStart(IObservationProvider model)` Notifies that the model is just starting execution.
`void` `observeStop(IObservationProvider model)` Notifies that the model has stopped execution.
`void` `partActivated(org.eclipse.ui.IWorkbenchPart part)`
`void` `partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)`
`void` `partClosed(org.eclipse.ui.IWorkbenchPart part)`
`void` `partDeactivated(org.eclipse.ui.IWorkbenchPart part)`
`void` `partOpened(org.eclipse.ui.IWorkbenchPart part)`
`void` `setPart(org.eclipse.ui.IViewPart part)` Sets the part.
`void` `update(IModel model)` Update.

Methods inherited from class org.eclipse.amp.axf.view.SWTAsyncModelListener
`beginPainting, endPainting, forceModelNotify, isWaitForUpdate, setWaitForUpdate, stateChange`

Methods inherited from class org.eclipse.amp.axf.view.SWTThreadModelListener
`getWidget, setWidget`

Methods inherited from class org.eclipse.amp.axf.core.AbstractLifecycleListener
`getListener, getName, observationEnd, observationEnding, observeCreate, observeInitialize, observeUpdate, observing, setName, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### observeStart

    public void observeStart(IObservationProvider model)

  Description copied from interface: `ILifeCycleListener`
  Notifies that the model is just starting execution.

  Specified by:
    `observeStart` in interface `ILifeCycleListener`
  Overrides:
    `observeStart` in class `AbstractLifecycleListener`
  Parameters:
    `model` -
  See Also:
    `AbstractLifecycleListener.observeStart(org.eclipse.amp.axf.core.IObservationProvider)`

### observeStop

    public void observeStop(IObservationProvider model)

  Description copied from interface: `ILifeCycleListener`
  Notifies that the model has stopped execution. This does not imply that the model is dead, simply that it will no longer be executing within the context of the life-cycle. In particular, a model may be re-initialized and re-started.

  Specified by:
    `observeStop` in interface `ILifeCycleListener`
  Overrides:
    `observeStop` in class `AbstractLifecycleListener`
  Parameters:
    `model` -
  See Also:
    `AbstractLifecycleListener.observeStop(org.eclipse.amp.axf.core.IObservationProvider)`

### update

    public void update(IModel model)

  Description copied from class: `SWTThreadModelListener`
  Update.

  Specified by:
    `update` in class `SWTThreadModelListener`
  Parameters:
    `model` -
  See Also:
    `SWTThreadModelListener.update(org.eclipse.amp.axf.core.IModel)`

### setPart

    public void setPart(org.eclipse.ui.IViewPart part)

  Sets the part.

  Parameters:
    `part` - the new part

### getPart

    public org.eclipse.ui.IViewPart getPart()

  Gets the part.

  Returns:
    the part

### partActivated

    public void partActivated(org.eclipse.ui.IWorkbenchPart part)

  Specified by:
    `partActivated` in interface `org.eclipse.ui.IPartListener`
  Parameters:
    `part` -
  See Also:
    `IPartListener.partActivated(org.eclipse.ui.IWorkbenchPart)`

### partBroughtToTop

    public void partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)

  Specified by:
    `partBroughtToTop` in interface `org.eclipse.ui.IPartListener`
  Parameters:
    `part` -
  See Also:
    `IPartListener.partBroughtToTop(org.eclipse.ui.IWorkbenchPart)`

### partClosed

    public void partClosed(org.eclipse.ui.IWorkbenchPart part)

  Specified by:
    `partClosed` in interface `org.eclipse.ui.IPartListener`
  Parameters:
    `part` -
  See Also:
    `IPartListener.partClosed(org.eclipse.ui.IWorkbenchPart)`

### partDeactivated

    public void partDeactivated(org.eclipse.ui.IWorkbenchPart part)

  Specified by:
    `partDeactivated` in interface `org.eclipse.ui.IPartListener`
  Parameters:
    `part` -
  See Also:
    `IPartListener.partDeactivated(org.eclipse.ui.IWorkbenchPart)`

### partOpened

    public void partOpened(org.eclipse.ui.IWorkbenchPart part)

  Specified by:
    `partOpened` in interface `org.eclipse.ui.IPartListener`
  Parameters:
    `part` -
  See Also:
    `IPartListener.partOpened(org.eclipse.ui.IWorkbenchPart)`

### getDefault

    public static StatusLineView getDefault()